Application: gvSIG desktop - gvSIG bugs #5219
No funcionan bien los intervalos al aplicar las tablas de color
04/16/2020 10:17 AM - Mario Carrera

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Raster

Target version:

Severity: Minor Add-on version:
gvSIG build: 3014 Add-on resolve version:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando aplicamos una tabla de color con ciertos intervalos, al aplicarla sobre una imagen pinta de un color diferente al que le toca
segun el intervalo indicado.

Adjunto imagen y tabla de color (en el log no salta nada). Pasos a seguir:

- Vista en 25830 y afadir imagen.tif

- Afadir menu de tabla de color, y en él: Importar primero la "tabla_color.rmf" adjunta (desde Importar libreria), seleccionarla, marcar
lo de aplicar tabla de color, quitar lo de interpolado y quitar lo de ajustar limites (adjunto captura de cémo quedaria).

La imagen tiene valores entre 0.7 y 0.8, y los intervalos son 0.6-0.9, 0.9-0.12, por lo que se deberia pintar de un Unico color todo, pero
en cambio se pinta de dos diferentes (el cambio de color esta en un poco més de 0.75).

History

#1 - 07/31/2020 09:43 AM - Mario Carrera
- Target version set to 2.5.1-3042-RC2

El problema lo aport6 Carlos Revuelto, y le sigue ocurriendo con otros casos. Lo pongo para la 2.5.1 para revisarlo, que no se lo asigné al abrirlo, pero

si no es sencillo y se debe dejar para la 3.0 con la nueva arquitectura se cambia.

#2 - 09/01/2020 12:08 PM - Alvaro Anguix
- Target version deleted (2.5.1-3042-RC2)

Files

imagen.rmf 1.57 KB 04/16/2020 Mario Carrera
Captura_configuracion 23.3 KB 04/16/2020 Mario Carrera
imagen.tfw 54 Bytes 04/16/2020 Mario Carrera
tabla_color.rmf 542 Bytes 04/16/2020 Mario Carrera
imagen.tif 2.75 MB 04/16/2020 Mario Carrera
